classification
Title: Python 2.6 installer crashes when selecting 'advanced' and cancelling it
Type: crash Stage:
Components: Installation, Windows Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: amaury.forgeotdarc, dreamlusion, fabioz, loewis
Priority: normal Keywords:

Created on 2008-11-09 12:54 by fabioz, last changed 2008-11-19 13:56 by loewis. This issue is now closed.

Messages (3)
msg75653 - (view) Author: Fabio Zadrozny (fabioz) Date: 2008-11-09 12:54
When installing python-2.6.msi it crashes when doing the following steps
on a windows XP (32 bit).

I'm not sure if all those steps are needed, but that's how it crashed here:

- start python-2.6.msi
- check 'install just for me' 
- change the destination directory (d:\bin\Python26)
- click on 'advanced'
- click on cancel
- confirm cancel

At this point windows presents a message: to help protect your computer,
Windows has closed this program.
msg75867 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-11-14 15:51
issue4325 describes the same crash, except that the user chose "all
users" and did not change the destination directory.
msg76049 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-11-19 13:56
Thanks for the report. Fixed in r67283, r67284, and r67285.
History
Date User Action Args
2008-11-26 12:12:18amaury.forgeotdarclinkissue4437 superseder
2008-11-19 13:56:01loewissetstatus: open -> closed
resolution: fixed
messages: + msg76049
2008-11-14 16:27:36dreamlusionsetnosy: + dreamlusion
2008-11-14 15:52:29amaury.forgeotdarclinkissue4325 superseder
2008-11-14 15:51:18amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg75867
2008-11-09 15:10:30christian.heimessetassignee: loewis
components: + Windows
nosy: + loewis
2008-11-09 12:54:29fabiozcreate